{pkgs, ...}: let
  secrets = import ../modules/secrets.nix;
in {
  # Configure the Element web server
  nixpkgs.config.element-web.conf = {
    default_server_config = {
      "m.homeserver" = {
        base_url = "https://matrix.${secrets.jimDomain}";
        server_name = "matrix.${secrets.jimDomain}";
      };
    };
    branding = {
      #welcome_background_url = "https://staging.${secrets.jimDomain}/images/backgrounds/bloxelcom-sunset.jpg";
      #auth_header_logo_url = "https://staging.${secrets.jimDomain}/images/logos/bloxelcom.png";
    };
    embedded_pages = {
      home_url = "https://www.${secrets.jimDomain}/";
    };
    disable_custom_urls = true;
    disable_guests = true;
    default_theme = "dark";
  };

  # Serve the Element page over Nginx
  services.nginx.virtualHosts."chat.${secrets.jimDomain}" = {
    enableACME = true;
    addSSL = true;
    root = "${pkgs.element-web}";
  };
}
