let
  secrets = import ../modules/secrets.nix;
in {
  # Icecast, replacing Azuracast maybe
  services = {
    icecast = {
      enable = true;
      listen.port = 265;
      hostname = "icecast.${secrets.jimDomain}";
      admin = {
        user = "jimbo";
	password = "${secrets.castPass}";
      };
    };
    nginx.virtualHosts."icecast.${secrets.jimDomain}" =  {
      enableACME = true;
      forceSSL = true;
      locations."/" = {
        proxyPass = "http://127.0.0.1:265";
        proxyWebsockets = true;
      };
    };
  };
}
